"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbeddedMarkdownEditorContribution = exports.MARKDOWN_EDITOR_COMPONENT_ID = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const browser_1 = require("@opensumi/ide-editor/lib/browser");
const common_1 = require("../common");
const editor_markdown_1 = require("./editor.markdown");
exports.MARKDOWN_EDITOR_COMPONENT_ID = 'MARKDOWN_EDITOR_COMPONENT_ID';
let EmbeddedMarkdownEditorContribution = class EmbeddedMarkdownEditorContribution {
    registerEditorComponent(componentRegistry) {
        componentRegistry.registerEditorComponent({
            uid: exports.MARKDOWN_EDITOR_COMPONENT_ID,
            component: editor_markdown_1.MarkdownEditorComponent,
            scheme: ide_core_common_1.Schemes.file,
        });
        componentRegistry.registerEditorComponentResolver(ide_core_common_1.Schemes.file, (resource, results) => {
            if (resource.uri.path.ext === '.md') {
                results.push({
                    type: browser_1.EditorOpenType.component,
                    componentId: exports.MARKDOWN_EDITOR_COMPONENT_ID,
                    title: (0, ide_core_common_1.localize)('editorOpenType.preview'),
                    weight: this.preferenceService.get('application.preferMarkdownPreview') ? 10 : -1,
                });
            }
        });
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.IMarkdownService),
    tslib_1.__metadata("design:type", Object)
], EmbeddedMarkdownEditorContribution.prototype, "markdownService", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(ide_core_browser_1.PreferenceService),
    tslib_1.__metadata("design:type", Object)
], EmbeddedMarkdownEditorContribution.prototype, "preferenceService", void 0);
EmbeddedMarkdownEditorContribution = tslib_1.__decorate([
    (0, ide_core_common_1.Domain)(browser_1.BrowserEditorContribution)
], EmbeddedMarkdownEditorContribution);
exports.EmbeddedMarkdownEditorContribution = EmbeddedMarkdownEditorContribution;
//# sourceMappingURL=contribution.js.map